// This file is released under the 3-clause BSD license. See COPYING-BSD.


// Equation d'état du modèle linéaire
g = 9.81;
m = 0.020;
J = 0.021;

A = [0     1 0 0;..
     0     0 g 0; ..
     0     0 0 1; ..
     m*g/J 0 0 0];
     
B = [0; 0; 0; 1/J];
C = [1 0 0 0];
D = [0];
x0 = [0.00; 0; 0; 0];

Ctheta = [0 0 1 0];

linear_sys = syslin('c', A, B, C, D);

// discretization with Te sampling
Te = 0.1;
Tfstep = 5.0;

// predictive parameters
N1 = 6;
N2 = 15;
Nu = 3;

[R, Sfinal, T, equivalent_target] = compute_predictive_rst(linear_sys, Te, Tfstep, N1, N2, Nu);
